Film Gimp(1)

NAME
filmgimptool - script to perform various Gimpy functions

SYNOPSIS
filmgimptool [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags] [--build plug-in.c] [--install plug-in.c] [--install-admin plug-in.c] [--install-bin plug-in] [--install-admin-bin plug-in] [--install-script script.scm] [--install-admin-script script.scm]

DESCRIPTION

filmgimptool is a tool that can, among other things, build plug-ins or scripts and install them if they are distributed in one source file.

filmgimptool can also be used by programs that need to know what libraries and include-paths Film Gimp was compiled with. This is especially useful in Makefiles.

OPTIONS
filmgimptool accepts the following options:

--version
    Print the currently installed version of Film Gimp on the standard output.

--build plug-in.c
    Compile and link plug-in.c into a Film Gimp plug-in.

--install plug-in.c
    Compile, link, and install plug-in.c into the user's personal Film Gimp plug-in directory ($HOME/.filmgimp/plug-ins)

--install-admin plug-in.c
    Compile, link, and install plug-in.c into the system-wide Film Gimp plug-in directory ($PREFIX/lib/filmgimp/0.14/plug-ins)

--install-bin plug-in
    Install plug-in into the user's personal Film Gimp plug-in directory ($HOME/.filmgimp/plug-ins)

--install-admin-bin plug-in
    Install plug-in into the system-wide Film Gimp plug-in directory ($PREFIX/lib/filmgimp/0.14/plug-ins)

--install-script script.scm
    Install script.scm into the user's personal Film Gimp script directory ($HOME/.filmgimp/scripts)

--install-admin-script script.scm
    Install script.scm into the system-wide Film Gimp script directory ($PREFIX/share/filmgimp/0.13/scripts)

--libs
    Print the linker flags that are necessary to link a film Gimp plug-in.

--cflags
    Print the compiler flags that are necessary to compile a Film Gimp plug-in.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that Film Gimp was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that Film Gimp was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

ENVIRONMENT

GTK_CONFIG
    to get the location of the gtk-config program.

CC  to get the name of the desired C compiler.

CFLAGS
    to get the preferred flags to pass to the C compiler for plug-in building.

SEE ALSO
filmgimp(1), gtk-config(1)

COPYRIGHT
Copyright © 1995 Spencer Kimball and Peter Mattis Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.